Ubuntu

ubuntu-bug alsa-base Popping Clicking Pulse Audio crashing

Reported by c. mehlis on 2010-03-30
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Daniel T Chen
Lucid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Lucid
Low
Steve Conklin

Bug Description

i can reproduce this bug on my system
i got lucid with fresh updates and linux 2.6.33

i audio is totally broken after changing volume, i can hear just
ringing, cracking....if it fails.

my syslog has no info, so i don't know how i can support you with more data

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
Uname: Linux 2.6.33-020633-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: c 3834 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdff8000 irq 26'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,12970000,00100101'
   Controls : 23
   Simple ctrls : 14
Date: Tue Mar 30 20:35:31 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: alsa-driver

problem still there after:

$ cat /etc/modprobe.d/sound
alias snd-card-0 snd-hda-intel
alias sound-slot-0 snd-hda-intel
options snd-hda-intel enable=1 index=0 position_fix=1 position_fix=2

on startup sound is fine, so starting planing music is ok, but if i tune the volume or jump forward, then just crap comes out of my boxes....
if i restart the track it is still there, but if i do nothing an wait half a minute sound is ok again

strange problem, but it makes sound unuseable

Daniel T Chen (crimsun) wrote :

options snd-hda-intel enable=1 index=0 position_fix=1 position_fix=2 <--- ???

The above line doesn't make any sense. The only thing you needed to add was:

options snd-hda-intel position_fix=1

LPIB is the method we're trying to test. What is the position_fix=2 doing there? (It makes the first value useless.)

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
assignee: nobody → Daniel T Chen (crimsun)
summary: - ubuntu-bug alsa-base Poppting Clicking Pulse Audio crashing
+ ubuntu-bug alsa-base Popping Clicking Pulse Audio crashing

i now have:
$ cat /etc/modprobe.d/sound
options snd-hda-intel position_fix=1
$

but it don't fixes the bug, the sound-file was not there before....so i created it

from user.log:
Mar 31 21:03:38 infrared pulseaudio[3711]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Mar 31 21:03:38 infrared pulseaudio[3711]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Mar 31 21:03:51 infrared pulseaudio[3850]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Mar 31 21:05:30 infrared pulseaudio[3850]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Mar 31 21:05:30 infrared pulseaudio[3850]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Mar 31 21:05:30 infrared pulseaudio[3850]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

i'am using ubuntu since hardy and i never expected this problem before.

Please use Lucid's kernel, not a mainline one, to reproduce the symptom.

now the "sound" sounds minimal different, it comes now with a higher chance to fail.
comes with totem and audacious and with different mp3s,
but it is not present over the time, after some minutes it is ok again, and if i jump in the track it fails again.
but if i just play the track and not using "jump" oder "volume up/down" it never fails....

and i checked the cables!!!;)

with the ubuntukernel:
$ uname -a
Linux infrared 2.6.32-18-generic #27-Ubuntu SMP Fri Mar 26 21:13:44 UTC 2010 x86_64 GNU/Linux

the problem is still there.

user.log:
Mar 31 22:09:22 infrared pulseaudio[1427]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

Daniel T Chen (crimsun) wrote :

On Wed, Mar 31, 2010 at 4:18 PM, christian mehlis
<email address hidden> wrote:
> with the ubuntukernel:
> $ uname -a
> Linux infrared 2.6.32-18-generic #27-Ubuntu SMP Fri Mar 26 21:13:44 UTC 2010 x86_64 GNU/Linux
>
> the problem is still there.

And now with Ubuntu's kernel and linux-alsa-driver-modules-$(uname -r)
from ppa:ubuntu-audio-dev?

> user.log:
> Mar 31 22:09:22 infrared pulseaudio[1427]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
> Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
> Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
> Mar 31 22:17:14 infrared pulseaudio[1427]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

woooow i solved the issue, it was: a bug in config/gnome-gui:

i can now reproduce the config to the bug;)

steps:
open audio config from sound-icon in tool-area
hardware
choose input
goto input and go over 100% to max per ex. (and choose line in)
choose output

sound is now present, but after jumping in tracks, it fails
i hope you can reproduce it on your system.
so you can write a fix AND/OR write a documentation

for q&a i will follow this bug

ok, i was too fast, problem was still there

but i'am now testing alsa-backport-module with good results
i will give feedback later

>And now with Ubuntu's kernel and linux-alsa-driver-modules-$(uname -r)
>from ppa:ubuntu-audio-dev?

now i have:
$ uname -a
Linux infrared 2.6.32-19-generic #28-Ubuntu SMP Thu Apr 1 10:39:41 UTC 2010 x86_64 GNU/Linux
with alsa driver from the ppa

now the problem occurs not every time i jump in a track, but it is still there.
it comes from jumping and if i change the volume of the application

strange: if sound fails, i just have to wait 5 seconds, and the same track with the same player is ok again

> strange: if sound fails, i just have to wait 5 seconds, and the same track with the same player is ok again

it is ok again if that happens:
Apr 4 14:18:16 infrared kernel: [18060.741101] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x2
Apr 4 14:18:16 infrared kernel: [18060.741122] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x4
Apr 4 14:18:16 infrared kernel: [18060.741212] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x2
Apr 4 14:18:16 infrared kernel: [18060.741224] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x4

Daniel T Chen (crimsun) wrote :

Are you still using the position_fix=1 quirk?

>Are you still using the position_fix=1 quirk?
without the quirk i have results described in the last massage

with the quirk i got:
jumping in a track now works
change volume in totem now works

BUT: changing volume of the output stream in pulseaudio (pulseaudio volume control) has a problem:
there are some "hot spots" where the sound is ok (85%,...), but the other values are not use able, because the sound becomes noise

the setup with die quirk is much better than without...
additionally i get:
Apr 5 12:33:08 infrared pulseaudio[1484]: ratelimit.c: 2916 events suppressed
every 5 seconds, but without any sound problems...
https://bugs.launchpad.net/bugs/444950

Daniel T Chen (crimsun) wrote :

Just to clarify, using position_fix=1 is necessary to have tolerable playback *and* capture?

position_fix=1 is necessary to have tolerable playback!
i never ever had i microphone and i never captured something.

the problem is now in the output stream volume control of pulseaudio.
the gnome applet for volume is now unusable...see:
from my last post:
BUT: changing volume of the output stream in pulseaudio (pulseaudio volume control) has a problem:
there are some "hot spots" where the sound is ok (85%,...), but the other values are not use able, because the sound becomes noise

Daniel T Chen (crimsun) wrote :

Please test capture, else I can't send the fix upstream. Also, your description of the volume control makes it seem as if position_fix=1 doesn't actually help...

i have exactly the same problem on my samsung nc10 (second computer)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
 Subsystem: Samsung Electronics Co Ltd Device ca00
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 22
 Region 0: Memory at f0340000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

changing volume in pavucontol breaks the sound....and the fix helps to make it better, but it not complete
the symptom stay the same

i got it:
howto: https://help.ubuntu.com/community/HdaIntelSoundHowto
$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC662 rev1

in /usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz
ALC662/663/272
==============
  3stack-dig 3-stack (2-channel) with SPDIF

so my config is now:
$ cat /etc/modprobe.d/alsa-base.conf
options snd-hda-intel model=3stack-dig

that fixes ALL problems no need for other config/options or newer packages

thanks for helping!

Download full text (4.4 KiB)

here i am again, sorry for log delay.
i have to revert my last post, which says that the problem is fixed.
>> IT IS NOT. <<

i can reproduce it on my two pcs, samsung-nc10 and shuttle, both with:
$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC662 rev1

i got the latest patches and alsa from the audio-dev-team
fix_position and/or forcing model=xxx don't help!!

so i found: https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/574137
in my opinion *IT IS* the same problem

i think it it not a configuration problem.
it seems to be a problem with the alsa-diver for my crappy on-board-sound-card.

it fails if i *seek the volume* OR *jump in a track*, that must be a problem with the sound-buffer-software-seeking
a saw the talk with lennard pöttering on linux audo conference and he said that exactly this is hard to code.

i have this stuff in my syslog:
May 7 21:17:56 infrared kernel: [ 28.801754] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.801782] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x9, stream=0x1, channel=0, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.812527] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.812550] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x9, stream=0x1, channel=0, format=0x4011
May 7 21:17:56 infrared pulseaudio[1486]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
May 7 21:17:56 infrared kernel: [ 28.832634] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x9
May 7 21:17:56 infrared kernel: [ 28.832772] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x9
May 7 21:17:56 infrared kernel: [ 28.843946] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.843976] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x2, stream=0x5, channel=0, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.862383] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x4, stream=0x5, channel=0, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.883255] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.883283] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x2, stream=0x5, channel=0, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.902356] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x4, stream=0x5, channel=0, format=0x4011
May 7 21:17:56 infrared pulseaudio[1486]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
May 7 21:17:56 infrared kernel: [ 28.955728] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.955758] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x9, stream=0x1, channel=0, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.972364] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:17:56 infrared kernel: [ 28.972386] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x9, s...

Read more...

if i start playing:
May 7 21:46:42 infrared kernel: [ 1754.742673] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:46:42 infrared kernel: [ 1754.742693] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x2, stream=0x5, channel=0, format=0x4011
May 7 21:46:42 infrared kernel: [ 1754.755241] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x4, stream=0x5, channel=0, format=0x4011
May 7 21:46:42 infrared kernel: [ 1754.775286] ALSA hda_intel.c:1665: azx_pcm_prepare: bufsize=0x3700, format=0x4011
May 7 21:46:42 infrared kernel: [ 1754.775303] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x2, stream=0x5, channel=0, format=0x4011
May 7 21:46:42 infrared kernel: [ 1754.795229] ALSA hda_codec.c:1158: hda_codec_setup_stream: NID=0x4, stream=0x5, channel=0, format=0x4011

then i break it with changing volume very fast, no log entry is added

th sound stays broken as long i close all audio plying and this comes:
May 7 21:46:36 infrared kernel: [ 1748.746143] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x9
May 7 21:46:36 infrared kernel: [ 1748.746193] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x9
May 7 21:46:38 infrared kernel: [ 1750.719185] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x2
May 7 21:46:38 infrared kernel: [ 1750.719199] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x4
May 7 21:46:38 infrared kernel: [ 1750.719256] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x2
May 7 21:46:38 infrared kernel: [ 1750.719265] ALSA hda_codec.c:1176: hda_codec_cleanup_stream: NID=0x4
after that it is is ok again

aslam karachiwala (akwala) wrote :

See Bug #476652. It's most likely fixed in kernel v. 2.6.34, according to...
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/476652/comments/50

kernel: Linux infrared 2.6.34-999-generic #201005081426 SMP Sat May 8 13:29:26 UTC 2010 x86_64 GNU/Linux
don't solves the problem, with this kernel it fails faster and fails most common

with the normal ubuntu kernel i have to to jump 5 to 20 times in a track, with daily it fails by loading the track

this comes to syslog with 2.6.44rc6 and daily:
May 9 20:41:33 infrared pulseaudio[1374]: alsa-util.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
May 9 20:41:33 infrared pulseaudio[1374]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
May 9 20:41:33 infrared pulseaudio[1374]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
May 9 20:41:33 infrared pulseaudio[1374]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

Luis_M (2luis) wrote :

I have the same problem in my netbook toshiba nb305.

Daniel T Chen (crimsun) wrote :

Keep in mind that the syntax is position_fix=1, not fix_position=1 or fix_position.

If position_fix=1 helps, then please make sure you've filed a separate bug [if you aren't the original reporter of this bug report].

aslam karachiwala (akwala) wrote :

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.23.
Compiled on May 21 2010 for kernel 2.6.32-22-generic (SMP).

$ cat /etc/modprobe.d/sound
alias snd-card-0 snd-hda-intel
alias sound-slot-0 snd-hda-intel
options snd-hda-intel position_fix=1

Issue persists, see attached syslog excerpt.

Daniel T Chen (crimsun) wrote :

jim_charlton, this bug is not a dupe of the bug that you filed. The codecs and controller revisions are different.

i am now testing the combination:

 $ uname -a
Linux infrared 2.6.34-020634-generic #020634 SMP Mon May 17 19:27:49 UTC 2010 x86_64 GNU/Linux

$ tail -n 1 /etc/modprobe.d/alsa-base.conf
options snd-hda-intel position_fix=1

and /etc/default/grub without >any< modifications:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
Here i had before: rmi_watchdog=1 additionally

NOW it realy seems to work great (i will test it the next days and report the results)

In the syslog NOW *nothing* has trouble, *all* the alsa, pulseaudio-errors reported before are gone! (yes all;))
Now it just says: hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.

I think the watchdog was the reason for the trubble..

let me know if your config includes watchdog

Daniel T Chen (crimsun) wrote :

Just for clarification, can you ensure that without the position_fix=1 quirk
the sound is bad? Please make sure to attach "lspci -nv" for all affected
machines for which this quirk resolves the issue.

On May 28, 2010 4:25 AM, "c. mehlis" <email address hidden> wrote:

i am now testing the combination:

 $ uname -a
Linux infrared 2.6.34-020634-generic #020634 SMP Mon May 17 19:27:49 UTC
2010 x86_64 GNU/Linux

$ tail -n 1 /etc/modprobe.d/alsa-base.conf

options snd-hda-intel position_fix=1
and /etc/default/grub without >any< modifications:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
Here i had before: rmi_watchdog=1 additionally

NOW it realy seems to work great (i will test it the next days and
report the results)

In the syslog NOW *nothing* has trouble, *all* the alsa, pulseaudio-errors
reported before are gone! (yes all;))
Now it just says: hda-intel: IRQ timing workaround is activated for card #0.
Suggest a bigger bdl_pos_adj.

I think the watchdog was the reason for the trubble..

let me know if your config includes watchdog

--
ubuntu-bug alsa-base Popping Clicking Pulse Audio crashing
https://bugs.launchpad.net/bugs/5519...

Luis_M (2luis) wrote :

Hi, I have a netbook toshiba nb305, I have the same problem. I think I resolve the problem. (sorry for my basic English).

I download from the Software Center of Ubuntu the "PulseAudio preference".

 After installing, then i go to menu system>preference>pulseAudio preference. In PulseAudio Preference I go to "simultaneous output" and check the box "add a virtual output device for simultaneous release of all the board of local sounds".

 After I go to menu system>preference>sound and go to "output". In "output", I check the box "Simultaneous output to audio interno Analog Stereo". Try This!

aslam karachiwala (akwala) wrote :

>c. mehlis: let me know if your config includes watchdog

I do _not_ have 'watchdog' in my /etc/default/grub.

As I said in #29, position_fix=1 does _not_ fix the issue for me. Let me know if you need more info from me.

aslam karachiwala (akwala) wrote :

@Luis_M: The suggestion (#34 above) did not work for me.

Daniel T Chen (crimsun) wrote :

Patch sent to stable@ and upstream

Changed in alsa-driver (Ubuntu):
status: Incomplete → In Progress
importance: Undecided → Low
Daniel T Chen (crimsun) on 2010-05-29
Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed

position_fix=1 fixes the problem!
testet on my nettop [lspci attached]
i will test it on my netbook (nc10) and will report the results with lspci

my samsung-nc10 do not need position_fix=1, so it is enough to clean /etc/default/grub and remove nmi_watchdog=1.
so, for me, this is completely fixed.

madbiologist (me-again) wrote :

The abovementioned fix is now upstream in kernel 2.6.32.16.

Steve Conklin (sconklin) wrote :

SRU Justification

Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch.

The 2.6.32.21 upstream stable patch set is now available and contains fixes for this problem. It should be included in the Ubuntu kernel as well.

Related commits in the Lucid repo are:

c9fd4d8 ALSA: hda: Use LPIB for a Shuttle device

Changed in alsa-driver (Ubuntu):
milestone: none → lucid-updates
Steve Conklin (sconklin) on 2010-08-31
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
assignee: nobody → Steve Conklin (sconklin)
milestone: none → lucid-updates
status: New → Fix Committed
Changed in alsa-driver (Ubuntu Lucid):
milestone: none → lucid-updates
Martin Pitt (pitti) on 2010-09-01
Changed in linux (Ubuntu):
status: Invalid → Fix Released

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Stefan Bader (smb) wrote :

Can anybody affected by the bug please give feedback whether the current proposed kernel does resolve the issue? Thanks.

aslam karachiwala (akwala) wrote :

Since yesterday, I've been using the latest kernel from lucid-proposed: Linux 2.6.32-25-generic on x86_64

No sign of the sound problem yet. Will report back if that changes.

aslam karachiwala (akwala) wrote :

The popping/skipping has returned.

Note my comment #29 -- "position_fix=1" did not fix the issue then, so I'm not sure if this fix is even relevant to my case. If it is not, apologies.

My alsa-info is attached.

Stefan Bader (smb) wrote :

...hm cross-posting via email may or may not work. Manually adding and hoping LP does not think otherwise later...
And no, I am not sure the popping/skipping returning is valid when porition_fix=1 did not help.

This is updating a set of bugs, so things said may or may not be exactly matching the bug report itself.

There is a set of bug reports which, reading feedback from reporters, do not seem to be fixed by the patches which were thought to fix them. All of these patches are part of some upstream stable release, so if a real fix is found, it
should be submitted there as well.
Quickly reading over the reports they all seem to be positional quirk fixes in ALSA. In one of the reports David had a quick look and had the suspicion that the code path of activating the fix may not be hit at all.
So while not fixing the bug all patches are not causing things to regress. Due to automatic processes, these bugs will get changed by a bot to fixed when the proposed kernel moves to updates and the bugs need to be re-opened then.

David, Daniel, maybe you can have a look at the test feedback and find out why the quirks have no effect?

Thanks,
Stefan

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/465942
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/587546
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/580749
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/551949
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/583983

tags: added: verification-failed
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 2.6.32-25.44

---------------
linux (2.6.32-25.44) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: (no-up) Modularize vesafb -- fix initialization
    - LP: #611471

  [ Stefan Bader ]

  * Revert "SAUCE: sync before umount to reduce time taken by ext4 umount"
    - LP: #543617, #585092

  [ Steve Conklin ]

  * Revert "SAUCE: tulip: Let dmfe handle davicom on non-sparc"
    - LP: #607824

  [ Tim Gardner ]

  * [Config] Added ums-cypress to udeb
    - LP: #576066

  [ Upstream Kernel Changes ]

  * Revert "PCI quirk: Disable MSI on VIA K8T890 systems"
    - LP: #607824
  * Revert "PCI quirks: disable msi on AMD rs4xx internal gfx bridges"
    - LP: #607824
  * Revert "(pre-stable) Input: psmouse - reset all types of mice before
    reconnecting"
    - LP: #607824
  * Revert "jbd: jbd-debug and jbd2-debug should be writable"
    - LP: #607824
  * Revert "ext4: Make fsync sync new parent directories in no-journal
    mode"
    - LP: #615548
  * Revert "ext4: Fix compat EXT4_IOC_ADD_GROUP"
    - LP: #615548
  * Revert "ext4: Conditionally define compat ioctl numbers"
    - LP: #615548
  * Revert "ext4: restart ext4_ext_remove_space() after transaction
    restart"
    - LP: #615548
  * Revert "ext4: Clear the EXT4_EOFBLOCKS_FL flag only when warranted"
    - LP: #615548
  * Revert "ext4: Avoid crashing on NULL ptr dereference on a filesystem
    error"
    - LP: #615548
  * Revert "ext4: Use bitops to read/modify i_flags in struct
    ext4_inode_info"
    - LP: #615548
  * Revert "ext4: Show journal_checksum option"
    - LP: #615548
  * Revert "ext4: check for a good block group before loading buddy pages"
    - LP: #615548
  * Revert "ext4: Prevent creation of files larger than RLIMIT_FSIZE using
    fallocate"
    - LP: #615548
  * Revert "ext4: Remove extraneous newlines in ext4_msg() calls"
    - LP: #615548
  * Revert "ext4: init statistics after journal recovery"
    - LP: #615548
  * Revert "ext4: clean up inode bitmaps manipulation in ext4_free_inode"
    - LP: #615548
  * Revert "ext4: Do not zero out uninitialized extents beyond i_size"
    - LP: #615548
  * Revert "ext4: don't scan/accumulate more pages than mballoc will
    allocate"
    - LP: #615548
  * Revert "ext4: stop issuing discards if not supported by device"
    - LP: #615548
  * Revert "ext4: check s_log_groups_per_flex in online resize code"
    - LP: #615548
  * Revert "ext4: fix quota accounting in case of fallocate"
    - LP: #615548
  * Revert "ext4: allow defrag (EXT4_IOC_MOVE_EXT) in 32bit compat mode"
    - LP: #615548
  * Revert "ext4: rename ext4_mb_release_desc() to ext4_mb_unload_buddy()"
    - LP: #615548
  * Revert "ext4: Remove unnecessary call to ext4_get_group_desc() in
    mballoc"
    - LP: #615548
  * Revert "ext4: fix memory leaks in error path handling of
    ext4_ext_zeroout()"
    - LP: #615548
  * Revert "ext4: check missed return value in ext4_sync_file()"
    - LP: #615548
  * Revert "ext4: Issue the discard operation *before* releasing the blocks
    to be reused"
    - LP: #615548
  * Revert "ext4: Fix buffer head leaks after calls to
    ext4_get_inode_loc()"
    - LP: #615548
  * Revert "ex...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-09-27
Changed in linux (Ubuntu Lucid):
status: Fix Released → Triaged
David Henningsson (diwic) wrote :

Stefan Bader,
This is probably not the same as the other four due to a completely different controller.

David Henningsson (diwic) wrote :

@Aslam, you're having different hardware than the original poster, so your root cause is different. Please file a separate bug using "ubuntu-bug audio". Thanks!

Changed in linux (Ubuntu Lucid):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers